PersistenceContextInterceptorExecutor (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.codehaus.groovy.grails.support
[Groovy] Class PersistenceContextInterceptorExecutor

    java.lang.Object
      org.codehaus.groovy.grails.support.PersistenceContextInterceptorExecutor

    @groovy.transform.CompileStatic
    class PersistenceContextInterceptorExecutor
    extends java.lang.Object

Executes persistence context interceptors phases.

Authors:
  Graeme Rocher

Since:
  2.3

Property Summary
`java.util.Collection` | `persistenceContextInterceptors`

Constructor Summary
`PersistenceContextInterceptorExecutor(java.util.Collection persistenceContextInterceptors)`

Method Summary
`void` | `destroyPersistenceContext()`
`static void` | `destroyPersistenceContext(org.springframework.context.ApplicationContext appCtx)`
`void` | `initPersistenceContext()`
`static void` | `initPersistenceContext(org.springframework.context.ApplicationContext appCtx)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Property Detail

### persistenceContextInterceptors

    java.util.Collection persistenceContextInterceptors

Constructor Detail

### PersistenceContextInterceptorExecutor

    PersistenceContextInterceptorExecutor(java.util.Collection persistenceContextInterceptors)

Method Detail

### destroyPersistenceContext

    void destroyPersistenceContext()

### destroyPersistenceContext

    static void destroyPersistenceContext(org.springframework.context.ApplicationContext appCtx)

### initPersistenceContext

    void initPersistenceContext()

### initPersistenceContext

    static void initPersistenceContext(org.springframework.context.ApplicationContext appCtx)

Groovy Documentation